package com.joyful.euphoria.board.beaned;

import java.io.Serializable;
import java.util.List;

public class CateFullData implements Serializable { // 新增Serializable
    private String categoryName;
    private List<BeanDetails> keyboardList;

    // 构造方法
    public CateFullData(String categoryName, List<BeanDetails> keyboardList) {
        this.categoryName = categoryName;
        this.keyboardList = keyboardList;
    }

    // Getter & Setter
    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public List<BeanDetails> getKeyboardList() {
        return keyboardList;
    }

    public void setKeyboardList(List<BeanDetails> keyboardList) {
        this.keyboardList = keyboardList;
    }
}